%global _empty_manifest_terminate_build 0

Summary:        Flake8 extension to validate (lack of) logging format strings
Name:           python-flake8-logging-format
Version:        0.9.0
Release:        5%{?dist}
License:        Apache License 2.0
URL:            https://github.com/globality-corp/flake8-logging-format
Source0:        https://github.com/globality-corp/flake8-logging-format/archive/refs/tags/%{version}.tar.gz#/flake8-logging-format-%{version}.tar.gz
BuildArch:      noarch


%description
Flake8 extension to validate (lack of) logging format strings


%package -n python3-flake8-logging-format
Summary:        Flake8 extension to validate (lack of) logging format strings

BuildRequires:  python3-devel python3-setuptools python3-pbr
BuildRequires:  python3-pip python3-wheel

Provides:       python-flake8-logging-format

%description -n python3-flake8-logging-format
Flake8 extension to validate (lack of) logging format strings


%prep
%autosetup -n flake8-logging-format-%{version}
sed -i 's/"nose/#"nose/' setup.py

%build
%py3_build


%install
%py3_install

%files -n python3-flake8-logging-format
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.9.0-2
- rebuild

* Wed Apr 19 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.9.0-1
- initial build
